package com.miaxis.question.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.sql.Timestamp;

@ApiModel(value = "QuestionColIdDateVo", description = "收藏题返回ID与时间")
public class QuestionColIdDateVo {



    @ApiModelProperty(value = "分类题（包含科一到科四）")
    private Long id;

    private transient Timestamp createTime;

    @ApiModelProperty(value = "时间戳（收藏时间）",name = "timestamp")
    public long getTimestamp() {
        if (createTime != null) {
            return createTime.getTime();// 将日期类型转换为长整型时间戳
        }
        return 0;
    }


    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
